=== debian/changelog ===
ros-eloquent-spdlog-vendor (1.0.1-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 03 Oct 2019 17:30:01 -0000
